Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## name.milesparker.markets
Class MarketsGraphicsAdapter

    java.lang.Object
      org.eclipse.amp.agf.GraphicsAdapter
          name.milesparker.markets.MarketsGraphicsAdapter

All Implemented Interfaces:
  IGraphicsAdapter, org.eclipse.core.runtime.IAdapterFactory

    public class MarketsGraphicsAdapter

extends GraphicsAdapter

Markets Java Implementation. Generated by AMF for model: Markets.metaabm in project: org.eclipse.amp.amf.examples.escape

Field Summary

Fields inherited from class org.eclipse.amp.agf.GraphicsAdapter
`DEFAULT_COLOR_PROVIDERS, DEFAULT_LABEL_PROVIDERS, EMPTY_FIGURE_PROVIDERS, GRAPHICS_ADAPTERS`

Constructor Summary
`MarketsGraphicsAdapter()`

Method Summary
`org.eclipse.jface.viewers.IColorProvider[]` | `getColorsForClass(java.lang.Class type)`
`static IGraphicsAdapter` | `getDefault()`
`IFigureProvider[]` | `getFiguresForClass(java.lang.Class type)`
`org.eclipse.jface.viewers.ILabelProvider[]` | `getLabelsForClass(java.lang.Class type)`

Methods inherited from class org.eclipse.amp.agf.GraphicsAdapter
`getAdapter, getAdapterList, getColors, getFigures, getLabels`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarketsGraphicsAdapter

    public MarketsGraphicsAdapter()

Method Detail

### getColorsForClass

    public org.eclipse.jface.viewers.IColorProvider[] getColorsForClass(java.lang.Class type)

  Specified by:
    `getColorsForClass` in interface `IGraphicsAdapter`
  Overrides:
    `getColorsForClass` in class `GraphicsAdapter`
  Parameters:
    `type` -
  Returns:
  See Also:
    ``

### getFiguresForClass

    public IFigureProvider[] getFiguresForClass(java.lang.Class type)

  Specified by:
    `getFiguresForClass` in interface `IGraphicsAdapter`
  Overrides:
    `getFiguresForClass` in class `GraphicsAdapter`
  Parameters:
    `type` -
  Returns:
  See Also:
    ``

### getLabelsForClass

    public org.eclipse.jface.viewers.ILabelProvider[] getLabelsForClass(java.lang.Class type)

  Specified by:
    `getLabelsForClass` in interface `IGraphicsAdapter`
  Overrides:
    `getLabelsForClass` in class `GraphicsAdapter`
  Parameters:
    `type` -
  Returns:
  See Also:
    ``

### getDefault

    public static IGraphicsAdapter getDefault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD